# permissions for end users to view vaults.
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  name: vault-viewer-role
rules:
- apiGroups:
  - devops.generalov.org
  resources:
  - vaults
  verbs:
  - get
  - list
  - watch
- apiGroups:
  - devops.generalov.org
  resources:
  - vaults/status
  verbs:
  - get
